## f_chdir

The `f_chdir` function changes the current directory of the logical drive.

    FRESULT f_chdir (
      const TCHAR* path /* [IN] Path name */
    );

#### Parameters

path
  Pointer to the null-terminated string that specifies the directory to be set as current directory.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_PATH, FR_INVALID_NAME, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

The `f_chdir` function changes the current directory of the logical drive. Also the current drive will be changed when in Unix style drive prefix, `FF_STR_VOLUME_ID == 2`. The current directory of each logical drive is initialized to the root directory on mount.

Note that the current directory is retained in the each file system object and the current drive is retained in a static variable, so that it also affects other tasks that use the file functions.

#### QuickInfo

Available when `FF_FS_RPATH >= 1`.

#### Example

        /* Change current direcoty of the current drive ("dir1" under root directory) */
        f_chdir("/dir1");

        /* Change current direcoty of current drive (parent directory of drive 2) */
        f_chdir("2:..");

        /* Change current direcoty of the drive "sdcard" (at DOS/Windows style volume ID) */
        f_chdir("sdcard:/dir1");

        /* Change current direcoty of the drive "flash" and set it as current drive (at Unix style volume ID) */
        f_chdir("/flash/dir1");

#### See Also

`f_chdrive, f_getcwd`

Return